Jump to content

accent

Recommended Posts

Mini-"bug" sur A7++ 1.2.9.3, mais sans grande conséquence : il me semble que de temps en temps, une ligne s'affiche en gras, sans qu'elle soit sélectionnée et sans même avoir le pointeur de souris dessus. Il me faut alors cliquer pour vérifier qu'il n'y a pas de balise... Ce petit phénomène me paraît aléatoire...

Pour celles et ceux qui se posent des questions, la version 1.2.9.3 est une version de tests. Certain(e)s ont eu la gentillesse de jouer les cobayes pour détecter d'éventuels bugs avant qu'une nouvelle version ne soit publiée ici (dans quelques jours si tout va bien).

bird : le problème de la ligne qui reste bloquée en gras a déjà été réglé dans la version "stable" qui va (bientôt) être publiée.

  • Like 4
Link to comment
Share on other sites

Bonjour @SkyMortal

J'ai déplacé ton sujet dans le sujet plus général de l'extension.

Il n'est pas possible de désactiver ce message sur Chrome, qui le fait pour toutes les extensions qui ne proviennent pas de son store.

(Mais au bout de 3 ans, on s'y fait !)

​D'acc, merci.

Dommage ça :s

Link to comment
Share on other sites

  • 1 month later...

Merci Accent.

une version Opera, je n'en attendais pas moins de toi. :1290892318:

 

Edit : Dans Firefox, dernière mise à jour "1er janvier 1970"...

Edited by Apocalypse25

Bonjour chez vous ! ;)

Link to comment
Share on other sites

  • 2 weeks later...

Merci pour cette version 1.3. Le design est plus sympa et puis surtout on peut maintenant rééditer directement un élément. Utile pour ceux qui ne font pas tout bon du premier coup comme moi. Le chatbox est bien vue, surtout à l'attention de ceux qui ne voyaient pas qu'on cherchait à les engueu... contacter par le chat situé tout en bas de page.

Sinon, pour une version (très) ultérieure, serait-il possible de disposer de la lecture de la vidéo avec les sous-titres incrustés, le tout dans le navigateur, en étant sur addic7ed ? Le fichier vidéo n'étant évidemment pas sur addic7ed, ni même téléchargé dessus, mais il serait sur notre ordi local. Pour ça, j'imagine qu'il faudrait un serveur web local à l'ordi (genre WinLamp) sur lequel serait la vidéo, avec un cross domain qui autoriserait la page addic7ed à interagir avec le domaine local. Mes notions sont plus que vagues et peut-être fausses. HTML5 devrait  permettre d'incruster les sous-titres. Bon là, je ne me rends pas compte si c'est réaliste et surtout de la quantité de boulot.

  • Like 1
Link to comment
Share on other sites

Sinon, pour une version (très) ultérieure, serait-il possible de disposer de la lecture de la vidéo avec les sous-titres incrustés, le tout dans le navigateur, en étant sur addic7ed ? Le fichier vidéo n'étant évidemment pas sur addic7ed, ni même téléchargé dessus, mais il serait sur notre ordi local. Pour ça, j'imagine qu'il faudrait un serveur web local à l'ordi (genre WinLamp) sur lequel serait la vidéo, avec un cross domain qui autoriserait la page addic7ed à interagir avec le domaine local. Mes notions sont plus que vagues et peut-être fausses. HTML5 devrait  permettre d'incruster les sous-titres. Bon là, je ne me rends pas compte si c'est réaliste et surtout de la quantité de boulot.

​On note l'idée, mais elle risque de ne pas voir le jour avant un bon petit bout de temps.
Pour arriver sur le point technique, un serveur local est clairement in-envisageable (nécessiterai l'installation d'un client lourd). Cependant, on peut, avec les nouvelles normes, récupérer en JS un fichier local...

Link to comment
Share on other sites

  • 2 weeks later...

Parfois, A7 refuse de valider un changement de timing : j'ai beau valider, il rouvre la séquence, cerclée de rouge, alors que je ne vois pas où pourrait être l'erreur (pas de chevauchement de timings ni d'incohérence). En validant plusieurs fois de suite, il finit parfois par accepter la modification. J'utilise Firefox 53. Vous rencontrez aussi le problème ? Une idée de la cause ?

the-detour2.jpg

  • Like 1
Link to comment
Share on other sites

Parfois, A7 refuse de valider un changement de timing : j'ai beau valider, il rouvre la séquence, cerclée de rouge, alors que je ne vois pas où pourrait être l'erreur (pas de chevauchement de timings ni d'incohérence). En validant plusieurs fois de suite, il finit parfois par accepter la modification. J'utilise Firefox 53. Vous rencontrez aussi le problème ? Une idée de la cause ?

the-detour2.jpg

Salut,

 

Il s'agit très probablement d'une erreur de transmission entre firefox et le serveur d'addic7ed.

 

Pour confirmer ca (ou infirmer) on peut :

- laisser la souris au dessus de la case en question et un messsage d'erreur devrait apparaitre.

- appuyer sur la touche F12 quand le problème survient puis aller dans l'onglet réseau. Réessayer d'envoyer la séquence (une ligne apparaîtra alors) et nous envoyer le résultat (cliquer dessus et en faire une capture d'ecran devrait suffir).

Link to comment
Share on other sites

 

Pour confirmer ca (ou infirmer) on peut :

- laisser la souris au dessus de la case en question et un messsage d'erreur devrait apparaitre.

- appuyer sur la touche F12 quand le problème survient puis aller dans l'onglet réseau. Réessayer d'envoyer la séquence (une ligne apparaîtra alors) et nous envoyer le résultat (cliquer dessus et en faire une capture d'ecran devrait suffir).

​J'essaierai la prochaine fois. Au passage, je découvre l'onglet réseau...

Link to comment
Share on other sites

  • 1 month later...

Bonjour,

Je suis à la recherche d'une personne pour créer le design de la nouvelle fonctionnalité de l'extension.

Envoyez-moi un message privé si vous être intéressés.

 

Merci

 

Link to comment
Share on other sites

Désolé pour les fans de la pomme mais nous avons décidé de ne plus proposer l'extension pour Safari.
Outre le fait qu'il faut un compte développeur chez la pomme (pour 99 $ par an, trois fois rien...), c'est devenu compliqué côté développement (Safari n'est pas dispo sous Windows ou Linux et le même code qui est développé et fonctionne pour tous les autres navigateurs n'est pas entièrement compatible avec Safari).

  • Like 4
Link to comment
Share on other sites

  • 2 months later...

Firefox annonce qu'à partir de novembre (version 57)  les modules devront respecter leur nouvelle technologie de développement des extensions sous peine d'être dévalidé. A7++ n'est actuellement ni marqué "obsolète" ni "compatible version 57 ou plus". Qu'en est-il de la compatibilité ?

Link to comment
Share on other sites

Firefox annonce qu'à partir de novembre (version 57)  les modules devront respecter leur nouvelle technologie de développement des extensions sous peine d'être dévalidé. A7++ n'est actuellement ni marqué "obsolète" ni "compatible version 57 ou plus". Qu'en est-il de la compatibilité ?

​Salut,

La version 1.3 de l'extension est écrite de sorte à respecter les normes WebExtension. Ainsi, oui, A7++ est (déjà) compatible avec Firefox 57.

  • Like 2
Link to comment
Share on other sites

​Salut,

La version 1.3 de l'extension est écrite de sorte à respecter les normes WebExtension. Ainsi, oui, A7++ est (déjà) compatible avec Firefox 57.

​Génial et bravo. En voilà une qui va pas me les briser menues. En effet, c'est la seule de ma dizaine d'extensions à ne pas être marquées "obsolète" !

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...